# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe
COLLOCATED_NAME	= collocated.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME) \
		  $(COLLOCATED_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Hello.obj

SERVER_OBJS	= Hello_skel.obj \
		  Hello_impl.obj \
		  Server.obj

COLLOCATED_OBJS	= Hello_skel.obj \
		  Hello_impl.obj \
		  Collocated.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OBE_CPPFLAGS) $(CPPFLAGS)
ALL_SERVERLIBS	= $(OBE_SERVER_LIBS) $(LIBS)
ALL_CLIENTLIBS	= $(OBE_CLIENT_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_SERVERLIBS)

$(COLLOCATED_NAME): $(COMMON_OBJS) $(COLLOCATED_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(COLLOCATED_OBJS) $(ALL_SERVERLIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_CLIENTLIBS)

Hello.cpp Hello.h: Hello.idl
	-del Hello.cpp Hello.h
	-del Hello_skel.cpp Hello_skel.h
	$(IDL) --no-type-codes Hello.idl

Hello_skel.cpp Hello_skel.h: Hello.cpp

!include .windep
