// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OBE_BOOTMANAGER_FWD_H
#define OBE_BOOTMANAGER_FWD_H

#include <OBE/Template.h>

namespace OB
{

class BootManager;
typedef BootManager* BootManager_ptr;
typedef BootManager* BootManagerRef;

} // End of namespace OB

void OBDuplicate(OB::BootManager_ptr);
void OBRelease(OB::BootManager_ptr);

namespace OB
{

typedef OB::ObjVar< BootManager > BootManager_var;
typedef OB::ObjOut< BootManager > BootManager_out;

} // End of namespace OB

#endif
