// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_OBJECT_KEY_H
#define OB_OBJECT_KEY_H

#include <OBE/Basic.h>
#include <OBE/Template.h>
#include <OBE/Object.h>

#include <OBE/OCITypes.h>

namespace OB
{

//
// The data contained in an object key
//
struct ObjectKeyData
{
    CORBA::ULong iter;
    CORBA::ULong slot;

    ObjectKeyData();
    ObjectKeyData(CORBA::ULong, CORBA::ULong);
};

OCI::ObjectKey* CreateObjectKey(const ObjectKeyData&);
bool ParseObjectKey(const OCI::ObjectKey&, ObjectKeyData&);

} // End of namespace OB

#endif
