// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_CLIENT_C_H
#define OB_CLIENT_C_H

#include <OBE/Client_fwd.h>
#include <OBE/ORBInstance_fwd.h>

namespace OB
{


//
// The ClientManagerC class -- ClientManager for client apps
//
class ClientManagerC : public ClientManager
{
    //
    // Hide copy-constructor and assignment operator
    //
    ClientManagerC(const ClientManagerC&);
    void operator=(const ClientManagerC&);

    virtual void getCollocatedPairs(const IOP::IOR&, const CORBA::PolicyList&,
				    OB_STL::list<ClientProfilePair_var>*)
    {
    }

public:

    ClientManagerC(ORBInstance_ptr instance)
	: ClientManager(instance)
    {
    }
    ~ClientManagerC()
    {
    }
};

} // End of namespace OB

#endif
