// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_CLIENT_S_H
#define OB_CLIENT_S_H

#include <OBE/Client_fwd.h>
#include <OBE/ORBInstance_fwd.h>

namespace OB
{


//
// The ClientManagerS class -- ClientManager for server apps
//
class ClientManagerS : public ClientManager
{
    //
    // Hide copy-constructor and assignment operator
    //
    ClientManagerS(const ClientManagerS&);
    void operator=(const ClientManagerS&);

    virtual void getCollocatedPairs(const IOP::IOR&, const CORBA::PolicyList&,
				    OB_STL::list<ClientProfilePair_var>*);

public:

    ClientManagerS(ORBInstance_ptr instance)
	: ClientManager(instance)
    {
    }
    ~ClientManagerS()
    {
    }
};

} // End of namespace OB

#endif
