// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef ORB_HELPER_H
#define ORB_HELPER_H

#include <OBE/ORBInstance_fwd.h>
#include <OBE/ORBControl_fwd.h>

namespace OB
{

class ORBMemberFactory
{
public:

    //
    // Create an ORBInstance object
    //
    static ORBInstance_ptr createORBInstance();

    //
    // Create an ORBControl object
    //
    static ORBControl_ptr createORBControl(ORBInstance_ptr);
};

}; // end of namespace OB

#endif
