// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_MACRO_H
#define TEST_MACRO_H

#include <stdlib.h> // For abort()
#include <stdio.h>

inline void
TestMacro(const char* ex, const char* file, unsigned int line)
{
    printf("Failed!\n");
    printf("Reason: ( %s ) == false\n",  ex);
    printf("File: %s\n", file);
    printf("Line: %u\n", line);
    fflush(stdout);
    abort();
}

#define TEST(ex) ( (ex) ? ((void)0) : TestMacro(#ex , __FILE__, __LINE__) )

#endif
