// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OBE/CORBA.h>

#include <Test_skel.h>
#include <Test_impl.h>

using namespace CORBA;
using namespace PortableServer;

Test_impl::Test_impl()
{
}

Test_impl::Test_impl(POA_ptr poa)
    : poa_(POA::_duplicate(poa))
{
}

Test_impl::~Test_impl()
{
}

void
Test_impl::aMethod()
    throw(SystemException)
{
}

POA_ptr
Test_impl::_default_POA()
{
    if(is_nil(poa_))
	return POA_Test::_default_POA();

    return POA::_duplicate(poa_);
}
