# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

NAME		= TestTypes.exe

TARGETS		= $(NAME)

!include $(top_srcdir)\config\Make.rules.mak

OBJS		= Types.obj \
		  Constants.obj \
		  TestAny.obj \
		  TestConst.obj \
		  TestTypeCode.obj \
		  TestUnion.obj \
		  TestSequence.obj \
		  TestTypes.obj 

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. /I..\include $(OBE_CPPFLAGS) $(CPPFLAGS)
ALL_LIBS	= $(OBE_CLIENT_LIBS) $(LIBS)

$(NAME): $(OBJS)
	-del $@
	$(LINK) $(LINKFLAGS) /out:$@ $(OBJS) $(ALL_LIBS)

Types.cpp Types.h: Types.idl
	-del Types.cpp Types.h
	$(IDL) --no-skeletons Types.idl

Constants.cpp Constants.h: Constants.idl
	-del Constants.cpp Constants.h
	$(IDL) --no-skeletons --no-type-codes Constants.idl

install:: Types.obj

!include .windep
