# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= .

!include $(top_srcdir)\config\Make.rules.mak

SUBDIRS		= jtc ob naming property time obe event util \
		  notify logging ots bidir udp balancer

install install_min::
	@if not exist $(bindir) \
	    @echo "Creating $(bindir)..." & \
	    mkdir $(bindir)

	@if not exist $(libdir) \
	    @echo "Creating $(libdir)..." & \
	    mkdir $(libdir)

	@if not exist $(includedir) \
	    @echo "Creating $(includedir)..." & \
	    mkdir $(includedir)

	@if not exist $(idldir) \
	    @echo "Creating $(idldir)..." & \
	    mkdir $(idldir)

$(EVERYTHING)::
	@for %i in ( $(SUBDIRS) ) do \
	    @if exist %i cmd /c "cd %i & $(MAKE) /f Makefile.mak $@"
