# **********************************************************************
#
# Copyright (c) 2000
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe
RAWCLIENT_NAME	= rawclient.exe
RAWSERVER_NAME	= rawserver.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME) \
		  $(RAWCLIENT_NAME) \
		  $(RAWSERVER_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= Simple.obj

SERVER_OBJS	= Simple_skel.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj

RAWCLIENT_OBJS	= RawClient.obj

RAWSERVER_OBJS	= RawServer.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OBE_CPPFLAGS) $(CPPFLAGS)
ALL_SERVERLIBS	= $(OBE_SERVER_LIBS) $(LIBS)
ALL_CLIENTLIBS	= $(OBE_CLIENT_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_SERVERLIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_CLIENTLIBS)

$(RAWCLIENT_NAME): $(RAWCLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(RAWCLIENT_OBJS) $(LIBS)

$(RAWSERVER_NAME): $(RAWSERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ $(RAWSERVER_OBJS) $(LIBS)


Simple.cpp Simple.h: Simple.idl
	-del Simple.cpp Simple.h
	-del Simple_skel.cpp Simple_skel.h
	$(IDL) --no-type-codes Simple.idl

Simple_skel.cpp Simple_skel.h: Simple.cpp

!include .windep
