// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************


#ifndef SIMPLE_IMPL_H
#define SIMPLE_IMPL_H

#include <I_skel.h>

class I_impl : public POA_I
{
public:

    virtual void in_string(const char* s)
        throw(CORBA::SystemException)
    {
    }
    virtual void in_shortseq(const I::ShortSeq& s)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_longseq(const I::LongSeq& l)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_doubleseq(const I::DoubleSeq& d)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_charseq(const I::CharSeq& c)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_octetseq(const I::OctetSeq& o)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_enumseq(const I::EnumSeq& e)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_shortarr(const I::ShortArr s)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_longarr(const I::LongArr l)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_doublearr(const I::DoubleArr s)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_chararr(const I::CharArr s)
        throw(CORBA::SystemException)
    {
    }

    virtual void in_octetarr(const I::OctetArr s)
        throw(CORBA::SystemException)
    {
    }
    virtual void in_enumarr(const I::EnumArr s)
        throw(CORBA::SystemException)
    {
    }
};

#endif
