# **********************************************************************
#
# Copyright (c) 1999
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..\..

SERVER_NAME	= server.exe
CLIENT_NAME	= client.exe

TARGETS		= $(SERVER_NAME) \
		  $(CLIENT_NAME)

!include $(top_srcdir)\config\Make.rules.mak

COMMON_OBJS	= I.obj

SERVER_OBJS	= I_skel.obj \
		  Server.obj

CLIENT_OBJS	= Client.obj

ALL_CXXFLAGS	= $(CXXFLAGS)
ALL_CPPFLAGS	= /I. $(OBE_CPPFLAGS) $(CPPFLAGS)
ALL_SERVERLIBS	= $(OBE_SERVER_LIBS) $(LIBS)
ALL_CLIENTLIBS	= $(OBE_CLIENT_LIBS) $(LIBS)
 
$(SERVER_NAME): $(COMMON_OBJS) $(SERVER_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(SERVER_OBJS) $(ALL_SERVERLIBS)

$(CLIENT_NAME): $(COMMON_OBJS) $(CLIENT_OBJS)
	$(LINK) $(LINKFLAGS) /out:$@ \
	$(COMMON_OBJS) $(CLIENT_OBJS) $(ALL_CLIENTLIBS)

I.cpp I.h: I.idl
	-del I.cpp I.h
	-del I_skel.cpp I_skel.h
	$(IDL) --no-type-codes I.idl

I_skel.cpp I_skel.h: I.cpp

!include .windep
