// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OBE_POAMANAGER_FWD_H
#define OBE_POAMANAGER_FWD_H

#include <OBE/Template.h>

namespace PortableServer
{

class POAManager;
typedef POAManager* POAManager_ptr;
typedef POAManager* POAManagerRef;

} // End of namespace PortableServer

void OBDuplicate(PortableServer::POAManager_ptr);
void OBRelease(PortableServer::POAManager_ptr);

namespace PortableServer
{

typedef OB::ObjVar< POAManager > POAManager_var;
typedef OB::ObjOut< POAManager > POAManager_out;

} // End of namespace PortableServer

#endif
