// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_PRINCIPAL_FWD_H
#define OB_PRINCIPAL_FWD_H

#include <OBE/Template.h>

namespace CORBA
{

class Principal;
typedef Principal* Principal_ptr;
typedef Principal_ptr PrincipalRef;

} // End of namespace CORBA

void OBDuplicate(CORBA::Principal_ptr);
void OBRelease(CORBA::Principal_ptr);

namespace CORBA
{

typedef OB::ObjVar< Principal > Principal_var;

} // End of namespace CORBA

#endif
