// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OBE/ORBInstance.h>
#include <OBE/ORBControl.h>

#include <ORBMemberFactory.h>
#include <ORBInstanceS.h>
#include <ORBControlS.h>

using namespace CORBA;
using namespace OB;

//
// Create an ORBInstance Object
//
ORBInstance_ptr
ORBMemberFactory::createORBInstance()
{
    return new ORBInstanceS;
}

//
// Create an ORBControl Object
//
ORBControl_ptr
ORBMemberFactory::createORBControl(ORBInstance_ptr instance)
{
    return new ORBControlS(instance);
}
