// **********************************************************************
//
// Copyright (c) 2000
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OBE/Basic.h>
#include <OBE/Template.h>
#include <OBE/Principal.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// External, non-inline duplicate/release for templates
// ----------------------------------------------------------------------

void
OBDuplicate(CORBA::Principal_ptr p)
{
    if(p)
	p -> _OB_incRef();
}

void
OBRelease(CORBA::Principal_ptr p)
{
    if(p)
	p -> _OB_decRef();
}
