// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TESTSERVER_IMPL_H
#define TESTSERVER_IMPL_H

class TestServer_impl : public POA_TestServer,
                        public PortableServer::RefCountServantBase
{
    CORBA::ORB_var orb_;
    PortableServer::POA_var poa_;
    TestInfoSeq info_;

public:

    TestServer_impl(CORBA::ORB_ptr, const TestInfoSeq&);
    TestServer_impl(CORBA::ORB_ptr, PortableServer::POA_ptr,
    		    const TestInfoSeq&);
    ~TestServer_impl();

    virtual TestInfoSeq* get_info()
	throw(CORBA::SystemException);

    virtual void deactivate()
	throw(CORBA::SystemException);

    virtual PortableServer::POA_ptr _default_POA();
};

#endif
